MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
OggSyncState Class Reference

Wrapper for an ogg_sync_state. More...

`#include <OggSyncState.hxx>`

## Public Member Functions
| OggSyncState (Reader &_reader)
| ~OggSyncState ()
| OggSyncState (const OggSyncState &)=delete
OggSyncState & | operator= (const OggSyncState &)=delete
void | Reset ()
bool | Feed (size_t size)
bool | ExpectPage (ogg_page &page)
bool | ExpectPageIn (ogg_stream_state &os)
bool | ExpectPageSeek (ogg_page &page)
bool | ExpectPageSeekIn (ogg_stream_state &os)

## Detailed Description

Wrapper for an ogg_sync_state.

Definition at line 34 of file OggSyncState.hxx.

## Constructor & Destructor Documentation

OggSyncState::OggSyncState | ( | Reader & | _reader | ) |
| inline explicit

Definition at line 40 of file OggSyncState.hxx.

OggSyncState::~OggSyncState | ( |  | ) |
| inline

Definition at line 45 of file OggSyncState.hxx.

OggSyncState::OggSyncState | ( | const OggSyncState & |  | ) |
| delete

## Member Function Documentation

bool OggSyncState::ExpectPage | ( | ogg_page & | page | ) |

bool OggSyncState::ExpectPageIn | ( | ogg_stream_state & | os | ) |

bool OggSyncState::ExpectPageSeek | ( | ogg_page & | page | ) |

bool OggSyncState::ExpectPageSeekIn | ( | ogg_stream_state & | os | ) |

bool OggSyncState::Feed | ( | size_t | size | ) |

OggSyncState& OggSyncState::operator= | ( | const OggSyncState & |  | ) |
| delete

void OggSyncState::Reset | ( |  | ) |
| inline

Definition at line 52 of file OggSyncState.hxx.

The documentation for this class was generated from the following file:

- lib/xiph/OggSyncState.hxx